Bug 493321 - file in cobbler package is not stripped
file in cobbler package is not stripped
Status: CLOSED NEXTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Michael DeHaan
Jan Hutař
: Reopened
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-04-01 08:29 EDT by Jan Hutař
Modified: 2009-09-25 09:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 09:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-04-01 08:29:03 EDT
Description of problem:
While testing bug 470499 I have discovered, there is a file on installed satellite which is not stripped.


Version-Release number of selected component (if applicable):
Tested on RHEL4:
  Satellite-5.3.0-RHEL4-re20090327.0
    cobbler-1.4.3-4.el4sat
Tested on RHEL5:
  Satellite-5.3.0-RHEL5-re20090323.0
    cobbler-1.4.3-4.el5sat.noarch


How reproducible:
always


Steps to Reproduce:
1. # rpm -ql cobbler | xargs file | grep 'not stripped'


Actual results:
/var/lib/cobbler/yaboot-1.3.14:                                          ELF 32-bit MSB executable, PowerPC or cisco 4500, version 1 (SYSV), statically linked, not stripped


Expected results:
<no output>


Additional info:
Could this be a file's bug?
Comment 1 Mike McCune 2009-04-27 15:04:35 EDT
sending over to mdehaan.  not sure how critical this is.
Comment 2 Michael DeHaan 2009-04-27 15:19:06 EDT
The long term plan is to have cobbler be intelligent enough to download all needed bootloaders from yum versus carrying ones around for alternate arches that can't otherwise be added to RPM requirements (ideally I'd love these off-arch content packages to be available in x86/x86_64 yum, but that's another request altogether).

The proper fix is to remove the file and download it when needed as per https://fedorahosted.org/cobbler/ticket/426, so we'll want to fix that properly versus checking another binary file into git.
Comment 3 Michael DeHaan 2009-09-25 09:36:01 EDT
2.0 does not package loaders, so this is closed with 2.0

Note You need to log in before you can comment on or make changes to this bug.